summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/dragon-raidz2-7x10.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/dragon-raidz2-7x10.sh')
-rw-r--r--scripts/zpool-config/dragon-raidz2-7x10.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/zpool-config/dragon-raidz2-7x10.sh b/scripts/zpool-config/dragon-raidz2-7x10.sh
new file mode 100644
index 000000000..0dd07a19b
--- /dev/null
+++ b/scripts/zpool-config/dragon-raidz2-7x10.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Dragon (White Box) Raid-Z2 Configuration (7x10(8+2))
+#
+
+RANKS=7
+CHANNELS=10
+
+zpool_create() {
+ udev_setup ${ETCDIR}/zfs/zdev.conf.dragon.example
+ udev_raidz2_setup ${RANKS} ${CHANNELS}
+
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAIDZ2S[*]}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${RAIDZ2S[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+ udev_cleanup ${ETCDIR}/zfs/zdev.conf.dragon.example
+}